#ifndef FONT_RENDERER_H
#define FONT_RENDERER_H

#include "math/Matrix.h"
#include "utils/Color.h"

namespace FontRenderer {
    bool init();
    void bind();
    void setProjection(const Matrix& m);
    void setView(const Matrix& m);
    void setModel(const Matrix& m);
    void draw(const char* text, int alpha);
    void draw(const Vector2& size, Color4 c);
    float getWidth(const char* text, int max);
}

#endif