#ifndef WORLD_H
#define WORLD_H

#include "common/RayTrace.h"
#include "math/Box.h"
#include "math/Vector.h"
#include "rendering/Shader.h"

namespace World {
    bool init();
    extern Shader shader;

    IntVector3 getSize();
    void set(int x, int y, int z, bool b);
    bool isAir(int x, int y, int z);

    void render(float lag);

    Vector3 limitMove(const Box& box, Vector3 move);

    RayTrace rayTrace(const Vector3& start, const Vector3& direction,
                      float maxDistance);
}

#endif